gr::dab::complex_to_interleaved_float_vcf Class Reference

<+description of block+> More...

`#include <complex_to_interleaved_float_vcf.h>`

Inheritance diagram for gr::dab::complex_to_interleaved_float_vcf:
[legend]

## Public Types

typedef std::shared_ptr< complex_to_interleaved_float_vcf > | sptr

## Static Public Member Functions

static sptr | make (unsigned int length)
| Return a shared_ptr to a new instance of dab::complex_to_interleaved_float_vcf.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<complex_to_interleaved_float_vcf> gr::dab::complex_to_interleaved_float_vcf::sptr

## Member Function Documentation

## make()

sptr gr::dab::complex_to_interleaved_float_vcf::make | ( | unsigned int | length | ) |

static

Return a shared_ptr to a new instance of dab::complex_to_interleaved_float_vcf.

To avoid accidental use of raw pointers, dab::complex_to_interleaved_float_vcf's constructor is in a private implementation class. dab::complex_to_interleaved_float_vcf::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- complex_to_interleaved_float_vcf.h